Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.engine.gcv
Class EngineControls

    java.lang.Object
      com.novell.nds.dirxml.engine.gcv.GCDefinitions
          com.novell.nds.dirxml.engine.gcv.EngineControls

All Implemented Interfaces:
  ConfigElement

    public class EngineControls

extends GCDefinitions

Class encapsulating DirXML Engine control values.

Each engine control value must have a localized display name in EngineControl.properties, and, if it has a description, a localized description string in EngineControl.properties.

The DirXML Engine will initially set the display names and descriptions to their US English values from the base EngineControl.properties file. User Agents (i.e., the UI) are responsible for localizing the display names and descriptions by calling `localize(Locale locale)` with the appropriate `Locale` instance.

User Agents must not create new GCValue instances. Only the DirXML Engine is allowed to create engine control values. The User Agents are restricted to allowing users to change the GCValue instances' values and writing the serialized XML back to the DirXML-EngineControlValues attribute. (The DirXML Engine will initially populate the attribute with all supported control values).

Field Summary
`static String` | `LOC_REF_DN_VALUE_FORM_DESC`
`static String` | `LOC_REF_DN_VALUE_FORM_NAME`
`static String` | `LOC_REF_MAX_MIGRATE_COUNT_DESC`
`static String` | `LOC_REF_MAX_MIGRATE_COUNT_NAME`
`static String` | `LOC_REF_MAX_REPLICATION_WAIT_DESC`
`static String` | `LOC_REF_MAX_REPLICATION_WAIT_NAME`
`static String` | `LOC_REF_PWD_SYNC_STATUS_DESC`
`static String` | `LOC_REF_PWD_SYNC_STATUS_NAME`
`static String` | `LOC_REF_RENAME_FORM_DESC`
`static String` | `LOC_REF_RENAME_FORM_NAME`
`static String` | `LOC_REF_RETRY_INTERVAL_DESC`
`static String` | `LOC_REF_RETRY_INTERVAL_NAME`
`static String` | `LOC_REF_SET_CREATORS_NAME_DESC`
`static String` | `LOC_REF_SET_CREATORS_NAME_NAME`
`static String` | `LOC_REF_USE_PASSWORD_EVENT_VALUES_DESC`
`static String` | `LOC_REF_USE_PASSWORD_EVENT_VALUES_NAME`
`static String` | `LOC_REF_USE_PENDING_ASSOC_DESC`
`static String` | `LOC_REF_USE_PENDING_ASSOC_NAME`
`static String` | `LOC_REF_XSLT_BROKEN_MODE_DESC`
`static String` | `LOC_REF_XSLT_BROKEN_MODE_NAME`

Fields inherited from class com.novell.nds.dirxml.engine.gcv.GCDefinitions
`defsList`

Constructor Summary
`EngineControls()` Construct an empty `GCEngineDefintions` object.

Method Summary
`static EngineControls` | `constructFromBytes(byte[] bytes)` Construct a `GCEngineDefinitions` object and associated `GCValue` objects from an array of bytes containing the serialized XML representation.
`protected static EngineControls` | `constructFromBytes(byte[] bytes, EngineControls controls)` Populate a `GCEngineDefinitions` object and associated `GCValue` objects from an array of bytes containing the serialized XML representation.
`static EngineControls` | `constructFromDocument(Document document)` Construct a `GCEngineDefinitions` object and association `GCValue` objects from a DOM XML document containing the XML representation.
`static EngineControls` | `constructFromDocument(Document document, EngineControls controls)` Populate a `GCEngineDefinitions` object and association `GCValue` objects from a DOM XML document containing the XML representation.
`void` | `localize(Locale locale)` Localize the display names and descriptions of the engine control values in this instance.

Methods inherited from class com.novell.nds.dirxml.engine.gcv.GCDefinitions
`appendValue, apply, apply, checkAllowedType, construct, construct, construct, construct, construct, construct0, getValue, hasBeenModified, insertValue, insertValue, iterator, localize, merge, removeValue, removeValue, resetModified, shallowIterator, toBytes, toXml, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOC_REF_RETRY_INTERVAL_NAME

    public static final String LOC_REF_RETRY_INTERVAL_NAME

See Also:
  Constant Field Values

### LOC_REF_RETRY_INTERVAL_DESC

    public static final String LOC_REF_RETRY_INTERVAL_DESC

See Also:
  Constant Field Values

### LOC_REF_DN_VALUE_FORM_NAME

    public static final String LOC_REF_DN_VALUE_FORM_NAME

See Also:
  Constant Field Values

### LOC_REF_DN_VALUE_FORM_DESC

    public static final String LOC_REF_DN_VALUE_FORM_DESC

See Also:
  Constant Field Values

### LOC_REF_MAX_REPLICATION_WAIT_NAME

    public static final String LOC_REF_MAX_REPLICATION_WAIT_NAME

See Also:
  Constant Field Values

### LOC_REF_MAX_REPLICATION_WAIT_DESC

    public static final String LOC_REF_MAX_REPLICATION_WAIT_DESC

See Also:
  Constant Field Values

### LOC_REF_XSLT_BROKEN_MODE_NAME

    public static final String LOC_REF_XSLT_BROKEN_MODE_NAME

See Also:
  Constant Field Values

### LOC_REF_XSLT_BROKEN_MODE_DESC

    public static final String LOC_REF_XSLT_BROKEN_MODE_DESC

See Also:
  Constant Field Values

### LOC_REF_MAX_MIGRATE_COUNT_NAME

    public static final String LOC_REF_MAX_MIGRATE_COUNT_NAME

See Also:
  Constant Field Values

### LOC_REF_MAX_MIGRATE_COUNT_DESC

    public static final String LOC_REF_MAX_MIGRATE_COUNT_DESC

See Also:
  Constant Field Values

### LOC_REF_SET_CREATORS_NAME_NAME

    public static final String LOC_REF_SET_CREATORS_NAME_NAME

See Also:
  Constant Field Values

### LOC_REF_SET_CREATORS_NAME_DESC

    public static final String LOC_REF_SET_CREATORS_NAME_DESC

See Also:
  Constant Field Values

### LOC_REF_RENAME_FORM_NAME

    public static final String LOC_REF_RENAME_FORM_NAME

See Also:
  Constant Field Values

### LOC_REF_RENAME_FORM_DESC

    public static final String LOC_REF_RENAME_FORM_DESC

See Also:
  Constant Field Values

### LOC_REF_USE_PENDING_ASSOC_NAME

    public static final String LOC_REF_USE_PENDING_ASSOC_NAME

See Also:
  Constant Field Values

### LOC_REF_USE_PENDING_ASSOC_DESC

    public static final String LOC_REF_USE_PENDING_ASSOC_DESC

See Also:
  Constant Field Values

### LOC_REF_USE_PASSWORD_EVENT_VALUES_NAME

    public static final String LOC_REF_USE_PASSWORD_EVENT_VALUES_NAME

See Also:
  Constant Field Values

### LOC_REF_USE_PASSWORD_EVENT_VALUES_DESC

    public static final String LOC_REF_USE_PASSWORD_EVENT_VALUES_DESC

See Also:
  Constant Field Values

### LOC_REF_PWD_SYNC_STATUS_NAME

    public static final String LOC_REF_PWD_SYNC_STATUS_NAME

See Also:
  Constant Field Values

### LOC_REF_PWD_SYNC_STATUS_DESC

    public static final String LOC_REF_PWD_SYNC_STATUS_DESC

See Also:
  Constant Field Values

Constructor Detail

### EngineControls

    public EngineControls()

  Construct an empty `GCEngineDefintions` object.

  Only the DirXML Engine must use this constructor.

Method Detail

### constructFromBytes

    public static EngineControls constructFromBytes(byte[] bytes)
                                             throws GCVException

  Construct a `GCEngineDefinitions` object and associated `GCValue` objects from an array of bytes containing the serialized XML representation.

  Typically, the array of bytes would come from the value of the DirXML-EngineControlValues attribute.

  Parameters:
    `bytes` - byte array containing serialized XML.
  Throws:
    `GCVException` - thrown if XML is incorrect in any way.

### constructFromBytes

    protected static EngineControls constructFromBytes(byte[] bytes,
                                                       EngineControls controls)
                                                throws GCVException

  Populate a `GCEngineDefinitions` object and associated `GCValue` objects from an array of bytes containing the serialized XML representation.

  Typically, the array of bytes would come from the value of the DirXML-EngineControlValues attribute.

  Parameters:
    `bytes` - byte array containing serialized XML.
    `controls` - EngineControls to populate.
  Throws:
    `GCVException` - thrown if XML is incorrect in any way.

### constructFromDocument

    public static EngineControls constructFromDocument(Document document)
                                                throws GCVException

  Construct a `GCEngineDefinitions` object and association `GCValue` objects from a DOM XML document containing the XML representation.

  Typically, the DOM document would be the result of parsing the value of the DirXML-EngineControlValues attribute.

  Parameters:
    `document` - DOM document
  Throws:
    `GCVException` - thrown if XML is incorrect in any way.

### constructFromDocument

    public static EngineControls constructFromDocument(Document document,
                                                       EngineControls controls)
                                                throws GCVException

  Populate a `GCEngineDefinitions` object and association `GCValue` objects from a DOM XML document containing the XML representation.

  Typically, the DOM document would be the result of parsing the value of the DirXML-EngineControlValues attribute.

  Parameters:
    `document` - DOM document
    `controls` - EngineControls to populate.
  Throws:
    `GCVException` - thrown if XML is incorrect in any way.

### localize

    public void localize(Locale locale)

  Localize the display names and descriptions of the engine control values in this instance.

  Parameters:
    `locale` - a Locale object describing the locale for the localized strings to retrieve.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD